2017-04-26 09:57 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003729Kali Linux[All Projects] General Bugpublic2017-03-21 09:34
ReporterPrEZeX 
Assigned Torhertzog 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003729: Booting from Kali Live, encrypted, persistent USB generates decrypting error
DescriptionI've followed the official installation guides (http://docs.kali.org/downloading/kali-linux-live-usb-install, http://docs.kali.org/downloading/kali-linux-live-usb-persistence) trying to make an encrypted, persistent live usb without success (partly). I've used three different usb-drives (2x8gb and 16gb) to exclude any hardware problems. I've tested the installation steps through a live kali usb, live ubuntu usb (both on PC, laptop and VM) and also on an installed ubuntu (on my laptop and VM). After going through all the installation steps and trying to boot my usb I've got an error: "There was an error decrypting /dev/sdb3 ... Retry? [Y/n] no key available with this passphrase." At first I though that i typed the wrong password or that there's a problem with key-mapping so I made a easy "test1234" password just to test it. That password still didn't work. I've tried to boot form both my PC and my laptop with the same error appearing. When I booted in live mode i could without any problems open up the encrypted partition from within Kali. When I tested booting up the usb through the VM it worked... I then thought that I missed some BIOS settings preventing booting so I've tried disabling and enabling everything i could think of (UEFI Boot, Secure Boot, Legacy Boot, 3.0 USB, etc.) to no avail. I even removed my HDD from my laptop and booted with only the USB connected... I just don't understand why the encryption password works when booting in my VM but not on my PC or laptop.
Attached Files
  • jpg file icon Error.jpg (1,691,878 bytes) 2016-11-16 19:14

-Relationships
has duplicate 0003728closedrhertzog Booting from Kali Live, encrypted, persistent USB generates decrypting error 
+Relationships

-Notes

~0006381

alallo (reporter)

I have the same problem. I followed the guide on kali docs step by step and I have successfully created the drive but when I boot it and select encrypted persistence it gives me the same exact error. Very bad.
And in kali weekly is not even possible to create the persistence partition due to a problem with the block size of the iso filesystem... (0003877)

~0006502

rhertzog (administrator)

This has been resolved with live-build 1:20170213kali1. The partition layout of the latest images is now again the same.
+Notes

-Issue History
Date Modified Username Field Change
2016-11-16 19:14 PrEZeX New Issue
2016-11-16 19:14 PrEZeX File Added: Error.jpg
2017-02-13 18:10 alallo Note Added: 0006381
2017-02-13 19:09 rhertzog Assigned To => rhertzog
2017-02-13 19:09 rhertzog Status new => assigned
2017-03-07 15:54 rhertzog Relationship added has duplicate 0003728
2017-03-16 15:07 rhertzog Status assigned => resolved
2017-03-16 15:07 rhertzog Resolution open => fixed
2017-03-16 15:07 rhertzog Note Added: 0006502
+Issue History